## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDOM_TextHack Class Reference

`#include <XercesDOM_NodeHack.hpp>`

Inheritance diagram for XercesDOM_TextHack:

[legend]
Collaboration diagram for XercesDOM_TextHack:

[legend]
List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_Text ParentType

## Public Methods

- XercesDOM_TextHack (TextImplType *theImpl=0)
- XercesDOM_TextHack (const ParentType &theSource)
- ~XercesDOM_TextHack ()
- const DOMStringType getNodeNameImpl () const
- const DOMStringType getNodeValueImpl () const
- const DOMStringType getNamespaceURIImpl () const
- const DOMStringType getPrefixImpl () const
- const DOMStringType getLocalNameImpl () const
- const DOMStringType getDataImpl () const
- TextImplType* getImpl () const

## Static Public Methods

- TextImplType* getImpl (const ParentType &theNode)

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Text XercesDOM_TextHack::ParentType

## Constructor & Destructor Documentation

XercesDOM_TextHack::XercesDOM_TextHack ( | TextImplType * theImpl = 0 )

XercesDOM_TextHack::XercesDOM_TextHack ( | const ParentType & theSource )

XercesDOM_TextHack::~XercesDOM_TextHack ( | )

## Member Function Documentation

const DOMStringType XercesDOM_TextHack::getDataImpl ( | ) const

TextImplType * XercesDOM_TextHack::getImpl ( | const ParentType & theNode )`[static]`

TextImplType * XercesDOM_TextHack::getImpl ( | ) const

const DOMStringType XercesDOM_TextHack::getLocalNameImpl ( | ) const

const DOMStringType XercesDOM_TextHack::getNamespaceURIImpl ( | ) const

const DOMStringType XercesDOM_TextHack::getNodeNameImpl ( | ) const

const DOMStringType XercesDOM_TextHack::getNodeValueImpl ( | ) const

const DOMStringType XercesDOM_TextHack::getPrefixImpl ( | ) const

The documentation for this class was generated from the following file:

- XercesDOM_NodeHack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.